/*
 * LookAndFeelPlugin.java - Look And Feel plugin
 * Copyright (C) 2001 Jamie LaScolea
 * Other contributors: David Huttleston Jr., Dirk Moebius
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

import java.awt.event.ActionEvent;
import javax.swing.UIManager;

import org.gjt.sp.jedit.EditPlugin;
import org.gjt.sp.jedit.jEdit;
import org.gjt.sp.jedit.gui.OptionsDialog;
import org.gjt.sp.util.Log;

import com.l2fprod.gui.plaf.skin.Skin;
import com.l2fprod.gui.plaf.skin.SkinLookAndFeel;


public class LookAndFeelPlugin extends EditPlugin
{

    public void start() {
        try {
            Log.log(Log.DEBUG, this, "Setting Look And Feel");
            String path = jEdit.getProperty("lookandfeel.path.themepack");
            if (path != null && path.length() > 0) {
                Skin theme = SkinLookAndFeel.loadThemePack(path);
                SkinLookAndFeel.setSkin(theme);
                UIManager.setLookAndFeel(new SkinLookAndFeel());
            }
        }
        catch(Exception e) {
            Log.log(Log.ERROR, this, e);
        }
    }


    public void createOptionPanes(OptionsDialog optionsDialog) {
        optionsDialog.addOptionPane(new LookAndFeelOptionPane());
    }

}
